Subject: Re: bug#9793: 24.0.90; Unwanted tramp connection on eshell completion.

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Oct 2011 14:56:12 +0200

Stefan Monnier <[email-masked]> writes:

>> Tramp has some code to guess whether it is in completion mode.
>
> Yuck!
>
>> Check of `non-essential' is one proof,
>
> Actually, no.  non-essential could be used for other things than completion.

Yes. But in the context of Tramp it is a good indicator.

> But that's not what I suggest.  I suggest to "blindly" return t for
> /<host>: only (as well as things like /ssh:<host>: I guess), but not for
> /<host>:<path> where we'd still connect and test whether it's indeed
> a directory.
>
>> Inside Tramp it could be behave such a way when it detects it is in
>> completion mode. That means, when `non-essential' is set to t. Shall I
>> do it this way?
>
> I suggest to do that regardless of whether we're in completion mode
> or not.

I've committed such a patch. It is good anyway, because it adds an
optimitation for Tramp.

This shall solve this bug. However, do we have other other primitive
file name operations, which are used for file name completion? We should
handle them as well.

>         Stefan

Best regards, Michael.